MantisBT
Mantis Bug Tracker Workflow

View Issue Details Jump to Notes ] Related Changesets ] Issue History ] Print ]
IDProjectCategoryView StatusDate SubmittedLast Update
0028832Community[OCCT] OCCT:Codingpublic2017-06-09 05:542017-09-29 16:28
ReporterVico Liang 
Assigned Tobugmaster 
PrioritynormalSeverityintegration request 
StatusclosedResolutionfixed 
PlatformOSOS Version
Product Version 
Target Version[OCCT] 7.2.0Fixed in Version[OCCT] 7.2.0 
Summary0028832: MMgt_TShared can be replaced by Standard_Transient
DescriptionFrom the source code, there is no difference between MMgt_TShared and Standard_Transient. All MMgt_TShared subclasses can be inheritted from Standard_Transient directly. Merge these two classes will simplify the type system and to avoid confusing for developer.
TagsNo tags attached.
Test case numberNot required
Attached Files

- Relationships
duplicate of 0025572closedbugmaster Open CASCADE Remove MMgt_TShared class. 

-  Notes
(0067239)
kgv (developer)
2017-06-09 08:35

Dear bugmaster,

please close the issue as duplicate of 0025572.
(0068027)
git (administrator)
2017-07-06 10:41

Branch CR28832 has been created by kgv.

SHA-1: 269e0e54ba70f66d8eb106144237f1503f22aeb5


Detailed log of new commits:

Author: kgv
Date: Thu Jul 6 10:38:18 2017 +0300

    0028832: MMgt_TShared can be replaced by Standard_Transient
(0068043)
kgv (developer)
2017-07-06 14:42

CR28832-CR28832-KGV-Products-Debian70-64-opt-tests-compare-linux - Build # 1 - Successful:
Check console output at http://jenkins-test-10.nnov.opencascade.com:8080/job/CR28832-CR28832-KGV-Products-Debian70-64-opt-tests-compare-linux/1/ [^] to view the results.

CR28832-CR28832-KGV-Products-Windows-64-VC10-opt-tests-compare-windows - Build # 1 - Successful:
Check console output at http://jenkins-test-10.nnov.opencascade.com:8080/job/CR28832-CR28832-KGV-Products-Windows-64-VC10-opt-tests-compare-windows/1/ [^] to view the results.
(0068075)
kgv (developer)
2017-07-07 13:36

Should be integrated.
(0068082)
apv (tester)
2017-07-07 14:22

Dear BugMaster,

Branch CR28832 from occt git-repository (and CR28832 from products git-repository) was compiled on Linux, MacOS and Windows platforms and tested.
SHA-1: 269e0e54ba70f66d8eb106144237f1503f22aeb5
SHA-1: 98d097e798a4df7b3ed021c9d0c55b643c0f09fe

Number of compiler warnings:
occt component:
   Linux: 0 (0 on master)
   Windows: 0 (0 on master)
   MasOS: 0 (0 on master)
products component:
   Linux: 64
   Windows: 0
   MacOS: 1228

Regressions/Differences:
Not detected

Testing cases:
Not required

Testing on Linux:
occt component:
Total MEMORY difference: 92704053 / 92171552 [+0.58%]
Total CPU difference: 19075.140000000276 / 18926.030000000348 [+0.79%]
products component:
Total MEMORY difference: 37290454 / 37299987 [-0.03%]
Total CPU difference: 6464.710000000096 / 6347.520000000062 [+1.85%]

Testing on Windows:
occt component:
Total MEMORY difference: 58838970 / 58850236 [-0.02%]
Total CPU difference: 17946.91664359861 / 17597.770805498705 [+1.98%]
products component:
Total MEMORY difference: 27790526 / 27837358 [-0.17%]
Total CPU difference: 6727.043921800066 / 6587.376226500077 [+2.12%]
(0068083)
apv (tester)
2017-07-07 14:23

Dear BugMaster,

Please integrate branch CR28832 into the occt git-repository master.
Please integrate branch CR28832 into the products git-repository master.
(0068125)
git (administrator)
2017-07-10 08:58

Branch CR28832 has been deleted by kgv.

SHA-1: 269e0e54ba70f66d8eb106144237f1503f22aeb5

- Related Changesets
occt: master 25e59720
Timestamp: 2017-07-06 07:38:18
Author: kgv
Committer: bugmaster
Details ] Diff ]
0028832: MMgt_TShared can be replaced by Standard_Transient
mod - dox/dev_guides/upgrade/upgrade.md Diff ] File ]
mod - dox/user_guides/modeling_data/modeling_data.md Diff ] File ]
mod - samples/mfc/standard/06_Ocaf/src/OCAFSample_Driver.ixx Diff ] File ]
mod - src/Adaptor2d/Adaptor2d_HCurve2d.cxx Diff ] File ]
mod - src/Adaptor2d/Adaptor2d_HCurve2d.hxx Diff ] File ]
mod - src/Adaptor3d/Adaptor3d_HCurve.cxx Diff ] File ]
mod - src/Adaptor3d/Adaptor3d_HCurve.hxx Diff ] File ]
mod - src/Adaptor3d/Adaptor3d_HSurface.cxx Diff ] File ]
mod - src/Adaptor3d/Adaptor3d_HSurface.hxx Diff ] File ]
mod - src/Adaptor3d/Adaptor3d_HVertex.cxx Diff ] File ]
mod - src/Adaptor3d/Adaptor3d_HVertex.hxx Diff ] File ]
mod - src/Adaptor3d/Adaptor3d_TopolTool.cxx Diff ] File ]
mod - src/Adaptor3d/Adaptor3d_TopolTool.hxx Diff ] File ]
mod - src/AIS/AIS_LocalContext.cxx Diff ] File ]
mod - src/AIS/AIS_LocalContext.hxx Diff ] File ]
mod - src/AppDef/AppDef_MultiPointConstraint.cxx Diff ] File ]
mod - src/AppDef/AppDef_SmoothCriterion.cxx Diff ] File ]
mod - src/AppDef/AppDef_SmoothCriterion.hxx Diff ] File ]
mod - src/AppParCurves/AppParCurves_MultiPoint.cxx Diff ] File ]
mod - src/AppParCurves/AppParCurves_MultiPoint.hxx Diff ] File ]
mod - src/Approx/Approx_CurvlinFunc.cxx Diff ] File ]
mod - src/Approx/Approx_CurvlinFunc.hxx Diff ] File ]
mod - src/Approx/Approx_SweepFunction.cxx Diff ] File ]
mod - src/Approx/Approx_SweepFunction.hxx Diff ] File ]
mod - src/Aspect/Aspect_Grid.cxx Diff ] File ]
mod - src/Aspect/Aspect_Grid.hxx Diff ] File ]
mod - src/Aspect/Aspect_Window.cxx Diff ] File ]
mod - src/Aspect/Aspect_Window.hxx Diff ] File ]
mod - src/BinMDF/BinMDF_ADriver.cxx Diff ] File ]
mod - src/BinMDF/BinMDF_ADriver.hxx Diff ] File ]
mod - src/BinMDF/BinMDF_ADriverTable.cxx Diff ] File ]
mod - src/BinMDF/BinMDF_ADriverTable.hxx Diff ] File ]
mod - src/BOPDS/BOPDS_CommonBlock.cxx Diff ] File ]
mod - src/BOPDS/BOPDS_CommonBlock.hxx Diff ] File ]
mod - src/BOPDS/BOPDS_PaveBlock.cxx Diff ] File ]
mod - src/BOPDS/BOPDS_PaveBlock.hxx Diff ] File ]
mod - src/BRep/BRep_CurveRepresentation.cxx Diff ] File ]
mod - src/BRep/BRep_CurveRepresentation.hxx Diff ] File ]
mod - src/BRep/BRep_PointRepresentation.cxx Diff ] File ]
mod - src/BRep/BRep_PointRepresentation.hxx Diff ] File ]
mod - src/BRepAlgo/BRepAlgo_AsDes.cxx Diff ] File ]
mod - src/BRepAlgo/BRepAlgo_AsDes.hxx Diff ] File ]
mod - src/BRepAlgo/BRepAlgo_EdgeConnector.cxx Diff ] File ]
mod - src/BRepAlgo/BRepAlgo_EdgeConnector.hxx Diff ] File ]
mod - src/BRepApprox/BRepApprox_ApproxLine.cxx Diff ] File ]
mod - src/BRepApprox/BRepApprox_ApproxLine.hxx Diff ] File ]
mod - src/BRepBlend/BRepBlend_Line.cxx Diff ] File ]
mod - src/BRepBlend/BRepBlend_Line.hxx Diff ] File ]
mod - src/BRepBuilderAPI/BRepBuilderAPI_Sewing.cxx Diff ] File ]
mod - src/BRepBuilderAPI/BRepBuilderAPI_Sewing.hxx Diff ] File ]
mod - src/BRepCheck/BRepCheck_Result.cxx Diff ] File ]
mod - src/BRepCheck/BRepCheck_Result.hxx Diff ] File ]
mod - src/BRepCheck/BRepCheck_Solid.cxx Diff ] File ]
mod - src/BRepFill/BRepFill_LocationLaw.cxx Diff ] File ]
mod - src/BRepFill/BRepFill_LocationLaw.hxx Diff ] File ]
mod - src/BRepFill/BRepFill_PipeShell.cxx Diff ] File ]
mod - src/BRepFill/BRepFill_PipeShell.hxx Diff ] File ]
mod - src/BRepFill/BRepFill_SectionLaw.cxx Diff ] File ]
mod - src/BRepFill/BRepFill_SectionLaw.hxx Diff ] File ]
mod - src/BRepTools/BRepTools_Modification.cxx Diff ] File ]
mod - src/BRepTools/BRepTools_Modification.hxx Diff ] File ]
mod - src/BRepTools/BRepTools_ReShape.cxx Diff ] File ]
mod - src/BRepTools/BRepTools_ReShape.hxx Diff ] File ]
mod - src/ChFi3d/ChFi3d_ChBuilder.cxx Diff ] File ]
mod - src/ChFi3d/ChFi3d_FilBuilder.cxx Diff ] File ]
mod - src/ChFiDS/ChFiDS_Spine.cxx Diff ] File ]
mod - src/ChFiDS/ChFiDS_Spine.hxx Diff ] File ]
mod - src/ChFiDS/ChFiDS_Stripe.cxx Diff ] File ]
mod - src/ChFiDS/ChFiDS_Stripe.hxx Diff ] File ]
mod - src/ChFiDS/ChFiDS_SurfData.cxx Diff ] File ]
mod - src/ChFiDS/ChFiDS_SurfData.hxx Diff ] File ]
mod - src/Contap/Contap_TheIWLineOfTheIWalking.hxx Diff ] File ]
mod - src/DBRep/DBRep_Edge.cxx Diff ] File ]
mod - src/DBRep/DBRep_Edge.hxx Diff ] File ]
mod - src/DBRep/DBRep_Face.cxx Diff ] File ]
mod - src/DBRep/DBRep_Face.hxx Diff ] File ]
mod - src/DDataStd/DDataStd_DrawDriver.cxx Diff ] File ]
mod - src/DDataStd/DDataStd_DrawDriver.hxx Diff ] File ]
mod - src/DDF/DDF_Transaction.cxx Diff ] File ]
mod - src/DDF/DDF_Transaction.hxx Diff ] File ]
mod - src/Draw/Draw_Drawable3D.cxx Diff ] File ]
mod - src/Draw/Draw_Drawable3D.hxx Diff ] File ]
mod - src/Expr/Expr_GeneralExpression.cxx Diff ] File ]
mod - src/Expr/Expr_GeneralExpression.hxx Diff ] File ]
mod - src/Expr/Expr_GeneralFunction.cxx Diff ] File ]
mod - src/Expr/Expr_GeneralFunction.hxx Diff ] File ]
mod - src/Expr/Expr_GeneralRelation.cxx Diff ] File ]
mod - src/Expr/Expr_GeneralRelation.hxx Diff ] File ]
mod - src/ExprIntrp/ExprIntrp_Generator.cxx Diff ] File ]
mod - src/ExprIntrp/ExprIntrp_Generator.hxx Diff ] File ]
mod - src/FEmTool/FEmTool_Curve.cxx Diff ] File ]
mod - src/FEmTool/FEmTool_Curve.hxx Diff ] File ]
mod - src/FEmTool/FEmTool_ElementaryCriterion.cxx Diff ] File ]
mod - src/FEmTool/FEmTool_ElementaryCriterion.hxx Diff ] File ]
mod - src/FEmTool/FEmTool_SparseMatrix.cxx Diff ] File ]
mod - src/FEmTool/FEmTool_SparseMatrix.hxx Diff ] File ]
mod - src/Font/Font_FontMgr.cxx Diff ] File ]
mod - src/Font/Font_FontMgr.hxx Diff ] File ]
mod - src/Font/Font_SystemFont.cxx Diff ] File ]
mod - src/Font/Font_SystemFont.hxx Diff ] File ]
mod - src/GccInt/GccInt_Bisec.cxx Diff ] File ]
mod - src/GccInt/GccInt_Bisec.hxx Diff ] File ]
mod - src/Geom/Geom_Geometry.cxx Diff ] File ]
mod - src/Geom/Geom_Geometry.hxx Diff ] File ]
mod - src/Geom/Geom_OsculatingSurface.cxx Diff ] File ]
mod - src/Geom/Geom_OsculatingSurface.hxx Diff ] File ]
mod - src/Geom2d/Geom2d_Geometry.cxx Diff ] File ]
mod - src/Geom2d/Geom2d_Geometry.hxx Diff ] File ]
mod - src/Geom2d/Geom2d_Transformation.cxx Diff ] File ]
mod - src/Geom2d/Geom2d_Transformation.hxx Diff ] File ]
mod - src/GeomFill/GeomFill_Boundary.cxx Diff ] File ]
mod - src/GeomFill/GeomFill_Boundary.hxx Diff ] File ]
mod - src/GeomFill/GeomFill_CoonsAlgPatch.cxx Diff ] File ]
mod - src/GeomFill/GeomFill_CoonsAlgPatch.hxx Diff ] File ]
mod - src/GeomFill/GeomFill_Line.cxx Diff ] File ]
mod - src/GeomFill/GeomFill_Line.hxx Diff ] File ]
mod - src/GeomFill/GeomFill_LocationLaw.cxx Diff ] File ]
mod - src/GeomFill/GeomFill_LocationLaw.hxx Diff ] File ]
mod - src/GeomFill/GeomFill_SectionLaw.cxx Diff ] File ]
mod - src/GeomFill/GeomFill_SectionLaw.hxx Diff ] File ]
mod - src/GeomFill/GeomFill_TgtField.cxx Diff ] File ]
mod - src/GeomFill/GeomFill_TgtField.hxx Diff ] File ]
mod - src/GeomFill/GeomFill_TrihedronLaw.cxx Diff ] File ]
mod - src/GeomFill/GeomFill_TrihedronLaw.hxx Diff ] File ]
mod - src/GeomPlate/GeomPlate_CurveConstraint.cxx Diff ] File ]
mod - src/GeomPlate/GeomPlate_CurveConstraint.hxx Diff ] File ]
mod - src/GeomPlate/GeomPlate_PointConstraint.cxx Diff ] File ]
mod - src/GeomPlate/GeomPlate_PointConstraint.hxx Diff ] File ]
mod - src/GeomTools/GeomTools_UndefinedTypeHandler.cxx Diff ] File ]
mod - src/GeomTools/GeomTools_UndefinedTypeHandler.hxx Diff ] File ]
mod - src/Graphic3d/Graphic3d_ArrayOfPrimitives.cxx Diff ] File ]
mod - src/Graphic3d/Graphic3d_ArrayOfPrimitives.hxx Diff ] File ]
mod - src/Graphic3d/Graphic3d_AspectText3d.hxx Diff ] File ]
mod - src/Graphic3d/Graphic3d_DataStructureManager.cxx Diff ] File ]
mod - src/Graphic3d/Graphic3d_DataStructureManager.hxx Diff ] File ]
mod - src/Graphic3d/Graphic3d_GraphicDriver.cxx Diff ] File ]
mod - src/Graphic3d/Graphic3d_GraphicDriver.hxx Diff ] File ]
mod - src/Graphic3d/Graphic3d_Group.cxx Diff ] File ]
mod - src/Graphic3d/Graphic3d_Group.hxx Diff ] File ]
mod - src/Graphic3d/Graphic3d_Structure.cxx Diff ] File ]
mod - src/Graphic3d/Graphic3d_Structure.hxx Diff ] File ]
mod - src/Graphic3d/Graphic3d_StructureManager.cxx Diff ] File ]
mod - src/Graphic3d/Graphic3d_StructureManager.hxx Diff ] File ]
mod - src/HeaderSection/HeaderSection_FileDescription.cxx Diff ] File ]
mod - src/HeaderSection/HeaderSection_FileDescription.hxx Diff ] File ]
mod - src/HeaderSection/HeaderSection_FileName.cxx Diff ] File ]
mod - src/HeaderSection/HeaderSection_FileName.hxx Diff ] File ]
mod - src/HeaderSection/HeaderSection_FileSchema.cxx Diff ] File ]
mod - src/HeaderSection/HeaderSection_FileSchema.hxx Diff ] File ]
mod - src/HLRAlgo/HLRAlgo_EdgesBlock.cxx Diff ] File ]
mod - src/HLRAlgo/HLRAlgo_EdgesBlock.hxx Diff ] File ]
mod - src/HLRAlgo/HLRAlgo_PolyAlgo.cxx Diff ] File ]
mod - src/HLRAlgo/HLRAlgo_PolyAlgo.hxx Diff ] File ]
mod - src/HLRAlgo/HLRAlgo_PolyData.cxx Diff ] File ]
mod - src/HLRAlgo/HLRAlgo_PolyData.hxx Diff ] File ]
mod - src/HLRAlgo/HLRAlgo_PolyInternalData.cxx Diff ] File ]
mod - src/HLRAlgo/HLRAlgo_PolyInternalData.hxx Diff ] File ]
mod - src/HLRAlgo/HLRAlgo_PolyInternalNode.cxx Diff ] File ]
mod - src/HLRAlgo/HLRAlgo_PolyInternalNode.hxx Diff ] File ]
mod - src/HLRAlgo/HLRAlgo_PolyShellData.cxx Diff ] File ]
mod - src/HLRAlgo/HLRAlgo_PolyShellData.hxx Diff ] File ]
mod - src/HLRAlgo/HLRAlgo_WiresBlock.cxx Diff ] File ]
mod - src/HLRAlgo/HLRAlgo_WiresBlock.hxx Diff ] File ]
mod - src/HLRBRep/HLRBRep_Algo.cxx Diff ] File ]
mod - src/HLRBRep/HLRBRep_Algo.hxx Diff ] File ]
mod - src/HLRBRep/HLRBRep_AreaLimit.cxx Diff ] File ]
mod - src/HLRBRep/HLRBRep_AreaLimit.hxx Diff ] File ]
mod - src/HLRBRep/HLRBRep_Data.cxx Diff ] File ]
mod - src/HLRBRep/HLRBRep_Data.hxx Diff ] File ]
mod - src/HLRBRep/HLRBRep_InternalAlgo.cxx Diff ] File ]
mod - src/HLRBRep/HLRBRep_InternalAlgo.hxx Diff ] File ]
mod - src/HLRBRep/HLRBRep_PolyAlgo.cxx Diff ] File ]
mod - src/HLRBRep/HLRBRep_PolyAlgo.hxx Diff ] File ]
mod - src/HLRBRep/HLRBRep_ShapeBounds.cxx Diff ] File ]
mod - src/HLRBRep/HLRBRep_ShapeBounds.hxx Diff ] File ]
mod - src/HLRBRep/HLRBRep_ShapeBounds.lxx Diff ] File ]
mod - src/HLRTest/HLRTest_ShapeData.cxx Diff ] File ]
mod - src/HLRTest/HLRTest_ShapeData.hxx Diff ] File ]
mod - src/HLRTopoBRep/HLRTopoBRep_OutLiner.cxx Diff ] File ]
mod - src/HLRTopoBRep/HLRTopoBRep_OutLiner.hxx Diff ] File ]
mod - src/IFSelect/IFSelect_Activator.cxx Diff ] File ]
mod - src/IFSelect/IFSelect_Activator.hxx Diff ] File ]
mod - src/IFSelect/IFSelect_AppliedModifiers.cxx Diff ] File ]
mod - src/IFSelect/IFSelect_AppliedModifiers.hxx Diff ] File ]
mod - src/IFSelect/IFSelect_Dispatch.cxx Diff ] File ]
mod - src/IFSelect/IFSelect_Dispatch.hxx Diff ] File ]
mod - src/IFSelect/IFSelect_EditForm.cxx Diff ] File ]
mod - src/IFSelect/IFSelect_EditForm.hxx Diff ] File ]
mod - src/IFSelect/IFSelect_Editor.cxx Diff ] File ]
mod - src/IFSelect/IFSelect_Editor.hxx Diff ] File ]
mod - src/IFSelect/IFSelect_GeneralModifier.cxx Diff ] File ]
mod - src/IFSelect/IFSelect_GeneralModifier.hxx Diff ] File ]
mod - src/IFSelect/IFSelect_IntParam.cxx Diff ] File ]
mod - src/IFSelect/IFSelect_IntParam.hxx Diff ] File ]
mod - src/IFSelect/IFSelect_ListEditor.cxx Diff ] File ]
mod - src/IFSelect/IFSelect_ListEditor.hxx Diff ] File ]
mod - src/IFSelect/IFSelect_ModelCopier.cxx Diff ] File ]
mod - src/IFSelect/IFSelect_ModelCopier.hxx Diff ] File ]
mod - src/IFSelect/IFSelect_PacketList.cxx Diff ] File ]
mod - src/IFSelect/IFSelect_PacketList.hxx Diff ] File ]
mod - src/IFSelect/IFSelect_Selection.cxx Diff ] File ]
mod - src/IFSelect/IFSelect_Selection.hxx Diff ] File ]
mod - src/IFSelect/IFSelect_SessionDumper.cxx Diff ] File ]
mod - src/IFSelect/IFSelect_SessionDumper.hxx Diff ] File ]
mod - src/IFSelect/IFSelect_ShareOut.cxx Diff ] File ]
mod - src/IFSelect/IFSelect_ShareOut.hxx Diff ] File ]
mod - src/IFSelect/IFSelect_SignatureList.cxx Diff ] File ]
mod - src/IFSelect/IFSelect_SignatureList.hxx Diff ] File ]
mod - src/IFSelect/IFSelect_Transformer.cxx Diff ] File ]
mod - src/IFSelect/IFSelect_Transformer.hxx Diff ] File ]
mod - src/IFSelect/IFSelect_WorkSession.cxx Diff ] File ]
mod - src/IFSelect/IFSelect_WorkSession.hxx Diff ] File ]
mod - src/IGESBasic/IGESBasic_HArray1OfHArray1OfIGESEntity.hxx Diff ] File ]
mod - src/IGESBasic/IGESBasic_HArray1OfHArray1OfInteger.hxx Diff ] File ]
mod - src/IGESBasic/IGESBasic_HArray1OfHArray1OfReal.hxx Diff ] File ]
mod - src/IGESBasic/IGESBasic_HArray1OfHArray1OfXY.hxx Diff ] File ]
mod - src/IGESBasic/IGESBasic_HArray1OfHArray1OfXYZ.hxx Diff ] File ]
mod - src/IGESData/IGESData_IGESEntity.cxx Diff ] File ]
mod - src/IGESData/IGESData_IGESEntity.hxx Diff ] File ]
mod - src/IGESData/IGESData_NodeOfSpecificLib.hxx Diff ] File ]
mod - src/IGESData/IGESData_NodeOfWriterLib.hxx Diff ] File ]
mod - src/IGESData/IGESData_ToolLocation.cxx Diff ] File ]
mod - src/IGESData/IGESData_ToolLocation.hxx Diff ] File ]
mod - src/IGESDefs/IGESDefs_HArray1OfHArray1OfTextDisplayTemplate.hxx Diff ] File ]
mod - src/IGESSelect/IGESSelect_ViewSorter.cxx Diff ] File ]
mod - src/IGESSelect/IGESSelect_ViewSorter.hxx Diff ] File ]
mod - src/IGESToBRep/IGESToBRep_AlgoContainer.cxx Diff ] File ]
mod - src/IGESToBRep/IGESToBRep_AlgoContainer.hxx Diff ] File ]
mod - src/IGESToBRep/IGESToBRep_IGESBoundary.cxx Diff ] File ]
mod - src/IGESToBRep/IGESToBRep_IGESBoundary.hxx Diff ] File ]
mod - src/IGESToBRep/IGESToBRep_ToolContainer.cxx Diff ] File ]
mod - src/IGESToBRep/IGESToBRep_ToolContainer.hxx Diff ] File ]
mod - src/Interface/Interface_Check.cxx Diff ] File ]
mod - src/Interface/Interface_Check.hxx Diff ] File ]
mod - src/Interface/Interface_CopyControl.cxx Diff ] File ]
mod - src/Interface/Interface_CopyControl.hxx Diff ] File ]
mod - src/Interface/Interface_EntityCluster.cxx Diff ] File ]
mod - src/Interface/Interface_EntityCluster.hxx Diff ] File ]
mod - src/Interface/Interface_FileReaderData.cxx Diff ] File ]
mod - src/Interface/Interface_FileReaderData.hxx Diff ] File ]
mod - src/Interface/Interface_GeneralModule.cxx Diff ] File ]
mod - src/Interface/Interface_GeneralModule.hxx Diff ] File ]
mod - src/Interface/Interface_GTool.cxx Diff ] File ]
mod - src/Interface/Interface_GTool.hxx Diff ] File ]
mod - src/Interface/Interface_HGraph.cxx Diff ] File ]
mod - src/Interface/Interface_HGraph.hxx Diff ] File ]
mod - src/Interface/Interface_InterfaceModel.cxx Diff ] File ]
mod - src/Interface/Interface_InterfaceModel.hxx Diff ] File ]
mod - src/Interface/Interface_IntVal.cxx Diff ] File ]
mod - src/Interface/Interface_IntVal.hxx Diff ] File ]
mod - src/Interface/Interface_NodeOfGeneralLib.hxx Diff ] File ]
mod - src/Interface/Interface_NodeOfReaderLib.hxx Diff ] File ]
mod - src/Interface/Interface_ParamList.cxx Diff ] File ]
mod - src/Interface/Interface_ParamList.hxx Diff ] File ]
mod - src/Interface/Interface_ParamSet.cxx Diff ] File ]
mod - src/Interface/Interface_ParamSet.hxx Diff ] File ]
mod - src/Interface/Interface_Protocol.cxx Diff ] File ]
mod - src/Interface/Interface_Protocol.hxx Diff ] File ]
mod - src/Interface/Interface_ReaderModule.cxx Diff ] File ]
mod - src/Interface/Interface_ReaderModule.hxx Diff ] File ]
mod - src/Interface/Interface_ReportEntity.cxx Diff ] File ]
mod - src/Interface/Interface_ReportEntity.hxx Diff ] File ]
mod - src/Interface/Interface_UndefinedContent.cxx Diff ] File ]
mod - src/Interface/Interface_UndefinedContent.hxx Diff ] File ]
mod - src/Interface/Interface_VectorOfFileParameter.hxx Diff ] File ]
mod - src/IntPatch/IntPatch_Line.cxx Diff ] File ]
mod - src/IntPatch/IntPatch_Line.hxx Diff ] File ]
mod - src/IntPatch/IntPatch_TheIWLineOfTheIWalking.hxx Diff ] File ]
mod - src/IntStart/IntStart_SITopolTool.cxx Diff ] File ]
mod - src/IntStart/IntStart_SITopolTool.hxx Diff ] File ]
mod - src/IntSurf/IntSurf_LineOn2S.cxx Diff ] File ]
mod - src/IntSurf/IntSurf_LineOn2S.hxx Diff ] File ]
mod - src/IntTools/IntTools_Context.hxx Diff ] File ]
mod - src/IVtkDraw/IVtkDraw_Interactor.hxx Diff ] File ]
mod - src/Law/Law_BSpline.cxx Diff ] File ]
mod - src/Law/Law_BSpline.hxx Diff ] File ]
mod - src/Law/Law_Function.cxx Diff ] File ]
mod - src/Law/Law_Function.hxx Diff ] File ]
mod - src/LDOM/LDOM_MemManager.cxx Diff ] File ]
mod - src/LDOM/LDOM_MemManager.hxx Diff ] File ]
mod - src/LocOpe/LocOpe_GeneratedShape.cxx Diff ] File ]
mod - src/LocOpe/LocOpe_GeneratedShape.hxx Diff ] File ]
mod - src/LocOpe/LocOpe_WiresOnShape.cxx Diff ] File ]
mod - src/LocOpe/LocOpe_WiresOnShape.hxx Diff ] File ]
mod - src/MAT/MAT_Arc.cxx Diff ] File ]
mod - src/MAT/MAT_Arc.hxx Diff ] File ]
mod - src/MAT/MAT_BasicElt.cxx Diff ] File ]
mod - src/MAT/MAT_BasicElt.hxx Diff ] File ]
mod - src/MAT/MAT_Bisector.cxx Diff ] File ]
mod - src/MAT/MAT_Bisector.hxx Diff ] File ]
mod - src/MAT/MAT_Edge.cxx Diff ] File ]
mod - src/MAT/MAT_Edge.hxx Diff ] File ]
mod - src/MAT/MAT_Graph.cxx Diff ] File ]
mod - src/MAT/MAT_Graph.hxx Diff ] File ]
mod - src/MAT/MAT_ListOfBisector.hxx Diff ] File ]
mod - src/MAT/MAT_ListOfEdge.hxx Diff ] File ]
mod - src/MAT/MAT_Node.cxx Diff ] File ]
mod - src/MAT/MAT_Node.hxx Diff ] File ]
mod - src/MAT/MAT_TListNodeOfListOfBisector.hxx Diff ] File ]
mod - src/MAT/MAT_TListNodeOfListOfEdge.hxx Diff ] File ]
mod - src/MAT/MAT_Zone.cxx Diff ] File ]
mod - src/MAT/MAT_Zone.hxx Diff ] File ]
mod - src/MAT2d/MAT2d_Circuit.cxx Diff ] File ]
mod - src/MAT2d/MAT2d_Circuit.hxx Diff ] File ]
mod - src/MAT2d/MAT2d_Connexion.cxx Diff ] File ]
mod - src/MAT2d/MAT2d_Connexion.hxx Diff ] File ]
mod - src/MeshVS/MeshVS_DataSource.cxx Diff ] File ]
mod - src/MeshVS/MeshVS_DataSource.hxx Diff ] File ]
mod - src/MeshVS/MeshVS_Drawer.cxx Diff ] File ]
mod - src/MeshVS/MeshVS_Drawer.hxx Diff ] File ]
mod - src/MeshVS/MeshVS_PrsBuilder.cxx Diff ] File ]
mod - src/MeshVS/MeshVS_PrsBuilder.hxx Diff ] File ]
mod - src/Message/Message_Algorithm.cxx Diff ] File ]
mod - src/Message/Message_Algorithm.hxx Diff ] File ]
mod - src/Message/Message_Messenger.cxx Diff ] File ]
mod - src/Message/Message_Messenger.hxx Diff ] File ]
mod - src/Message/Message_Printer.cxx Diff ] File ]
mod - src/Message/Message_Printer.hxx Diff ] File ]
mod - src/Message/Message_ProgressIndicator.cxx Diff ] File ]
mod - src/Message/Message_ProgressIndicator.hxx Diff ] File ]
mod - src/MMgt/FILES Diff ] File ]
rm - src/MMgt/MMgt_TShared.cxx Diff ] File ]
mod - src/MMgt/MMgt_TShared.hxx Diff ] File ]
mod - src/MoniTool/MoniTool_CaseData.cxx Diff ] File ]
mod - src/MoniTool/MoniTool_CaseData.hxx Diff ] File ]
mod - src/MoniTool/MoniTool_Element.cxx Diff ] File ]
mod - src/MoniTool/MoniTool_Element.hxx Diff ] File ]
mod - src/MoniTool/MoniTool_IntVal.cxx Diff ] File ]
mod - src/MoniTool/MoniTool_IntVal.hxx Diff ] File ]
mod - src/MoniTool/MoniTool_RealVal.cxx Diff ] File ]
mod - src/MoniTool/MoniTool_RealVal.hxx Diff ] File ]
mod - src/MoniTool/MoniTool_SignText.cxx Diff ] File ]
mod - src/MoniTool/MoniTool_SignText.hxx Diff ] File ]
mod - src/MoniTool/MoniTool_Timer.cxx Diff ] File ]
mod - src/MoniTool/MoniTool_Timer.hxx Diff ] File ]
mod - src/MoniTool/MoniTool_TypedValue.cxx Diff ] File ]
mod - src/MoniTool/MoniTool_TypedValue.hxx Diff ] File ]
mod - src/NCollection/NCollection_BaseAllocator.cxx Diff ] File ]
mod - src/NCollection/NCollection_BaseAllocator.hxx Diff ] File ]
mod - src/NCollection/NCollection_DefineHArray1.hxx Diff ] File ]
mod - src/NCollection/NCollection_DefineHArray2.hxx Diff ] File ]
mod - src/NCollection/NCollection_DefineHSequence.hxx Diff ] File ]
mod - src/NCollection/NCollection_EBTree.hxx Diff ] File ]
mod - src/NCollection/NCollection_Handle.hxx Diff ] File ]
mod - src/NCollection/NCollection_UBTree.hxx Diff ] File ]
mod - src/NLPlate/NLPlate_HGPPConstraint.cxx Diff ] File ]
mod - src/NLPlate/NLPlate_HGPPConstraint.hxx Diff ] File ]
mod - src/OpenGl/OpenGl_View.hxx Diff ] File ]
mod - src/OpenGl/OpenGl_Window.cxx Diff ] File ]
mod - src/OpenGl/OpenGl_Window.hxx Diff ] File ]
mod - src/PLib/PLib_Base.cxx Diff ] File ]
mod - src/PLib/PLib_Base.hxx Diff ] File ]
mod - src/Poly/Poly_Polygon2D.cxx Diff ] File ]
mod - src/Poly/Poly_Polygon2D.hxx Diff ] File ]
mod - src/Poly/Poly_Polygon3D.cxx Diff ] File ]
mod - src/Poly/Poly_Polygon3D.hxx Diff ] File ]
mod - src/Poly/Poly_PolygonOnTriangulation.cxx Diff ] File ]
mod - src/Poly/Poly_PolygonOnTriangulation.hxx Diff ] File ]
mod - src/Poly/Poly_Triangulation.cxx Diff ] File ]
mod - src/Poly/Poly_Triangulation.hxx Diff ] File ]
mod - src/Prs3d/Prs3d_Drawer.hxx Diff ] File ]
mod - src/Prs3d/Prs3d_Projector.cxx Diff ] File ]
mod - src/Prs3d/Prs3d_Projector.hxx Diff ] File ]
mod - src/Resource/Resource_Manager.cxx Diff ] File ]
mod - src/Resource/Resource_Manager.hxx Diff ] File ]
mod - src/RWStepVisual/RWStepVisual_RWAnnotationCurveOccurrence.cxx Diff ] File ]
mod - src/RWStepVisual/RWStepVisual_RWAnnotationCurveOccurrenceAndAnnotationOccurrenceAndGeomReprItemAndReprItemAndStyledItem.cxx Diff ] File ]
mod - src/RWStepVisual/RWStepVisual_RWAnnotationFillAreaOccurrence.cxx Diff ] File ]
mod - src/RWStepVisual/RWStepVisual_RWAnnotationOccurrence.cxx Diff ] File ]
mod - src/RWStepVisual/RWStepVisual_RWAnnotationPlane.cxx Diff ] File ]
mod - src/RWStepVisual/RWStepVisual_RWContextDependentOverRidingStyledItem.cxx Diff ] File ]
mod - src/RWStepVisual/RWStepVisual_RWOverRidingStyledItem.cxx Diff ] File ]
mod - src/RWStepVisual/RWStepVisual_RWStyledItem.cxx Diff ] File ]
mod - src/RWStepVisual/RWStepVisual_RWTessellatedAnnotationOccurrence.cxx Diff ] File ]
mod - src/SelectMgr/SelectMgr_Filter.cxx Diff ] File ]
mod - src/SelectMgr/SelectMgr_Filter.hxx Diff ] File ]
mod - src/SelectMgr/SelectMgr_Selection.cxx Diff ] File ]
mod - src/SelectMgr/SelectMgr_Selection.hxx Diff ] File ]
mod - src/SelectMgr/SelectMgr_SelectionManager.cxx Diff ] File ]
mod - src/SelectMgr/SelectMgr_SelectionManager.hxx Diff ] File ]
mod - src/SelectMgr/SelectMgr_ViewerSelector.hxx Diff ] File ]
mod - src/ShapeAlgo/ShapeAlgo_AlgoContainer.cxx Diff ] File ]
mod - src/ShapeAlgo/ShapeAlgo_AlgoContainer.hxx Diff ] File ]
mod - src/ShapeAlgo/ShapeAlgo_ToolContainer.cxx Diff ] File ]
mod - src/ShapeAlgo/ShapeAlgo_ToolContainer.hxx Diff ] File ]
mod - src/ShapeAnalysis/ShapeAnalysis_BoxBndTree.hxx Diff ] File ]
mod - src/ShapeAnalysis/ShapeAnalysis_FreeBoundData.cxx Diff ] File ]
mod - src/ShapeAnalysis/ShapeAnalysis_FreeBoundData.hxx Diff ] File ]
mod - src/ShapeAnalysis/ShapeAnalysis_Surface.cxx Diff ] File ]
mod - src/ShapeAnalysis/ShapeAnalysis_Surface.hxx Diff ] File ]
mod - src/ShapeAnalysis/ShapeAnalysis_TransferParameters.cxx Diff ] File ]
mod - src/ShapeAnalysis/ShapeAnalysis_TransferParameters.hxx Diff ] File ]
mod - src/ShapeAnalysis/ShapeAnalysis_Wire.cxx Diff ] File ]
mod - src/ShapeAnalysis/ShapeAnalysis_Wire.hxx Diff ] File ]
mod - src/ShapeConstruct/ShapeConstruct_ProjectCurveOnSurface.cxx Diff ] File ]
mod - src/ShapeConstruct/ShapeConstruct_ProjectCurveOnSurface.hxx Diff ] File ]
mod - src/ShapeCustom/ShapeCustom_RestrictionParameters.cxx Diff ] File ]
mod - src/ShapeCustom/ShapeCustom_RestrictionParameters.hxx Diff ] File ]
mod - src/ShapeExtend/ShapeExtend_BasicMsgRegistrator.cxx Diff ] File ]
mod - src/ShapeExtend/ShapeExtend_BasicMsgRegistrator.hxx Diff ] File ]
mod - src/ShapeExtend/ShapeExtend_WireData.cxx Diff ] File ]
mod - src/ShapeExtend/ShapeExtend_WireData.hxx Diff ] File ]
mod - src/ShapeFix/ShapeFix_Edge.cxx Diff ] File ]
mod - src/ShapeFix/ShapeFix_Edge.hxx Diff ] File ]
mod - src/ShapeFix/ShapeFix_EdgeProjAux.cxx Diff ] File ]
mod - src/ShapeFix/ShapeFix_EdgeProjAux.hxx Diff ] File ]
mod - src/ShapeFix/ShapeFix_Root.cxx Diff ] File ]
mod - src/ShapeFix/ShapeFix_Root.hxx Diff ] File ]
mod - src/ShapeProcess/ShapeProcess_Context.cxx Diff ] File ]
mod - src/ShapeProcess/ShapeProcess_Context.hxx Diff ] File ]
mod - src/ShapeProcess/ShapeProcess_Operator.cxx Diff ] File ]
mod - src/ShapeProcess/ShapeProcess_Operator.hxx Diff ] File ]
mod - src/ShapeUpgrade/ShapeUpgrade_RemoveLocations.cxx Diff ] File ]
mod - src/ShapeUpgrade/ShapeUpgrade_RemoveLocations.hxx Diff ] File ]
mod - src/ShapeUpgrade/ShapeUpgrade_SplitCurve.cxx Diff ] File ]
mod - src/ShapeUpgrade/ShapeUpgrade_SplitCurve.hxx Diff ] File ]
mod - src/ShapeUpgrade/ShapeUpgrade_SplitSurface.cxx Diff ] File ]
mod - src/ShapeUpgrade/ShapeUpgrade_SplitSurface.hxx Diff ] File ]
mod - src/ShapeUpgrade/ShapeUpgrade_Tool.cxx Diff ] File ]
mod - src/ShapeUpgrade/ShapeUpgrade_Tool.hxx Diff ] File ]
mod - src/ShapeUpgrade/ShapeUpgrade_UnifySameDomain.cxx Diff ] File ]
mod - src/ShapeUpgrade/ShapeUpgrade_UnifySameDomain.hxx Diff ] File ]
mod - src/StdStorage/StdStorage_Data.hxx Diff ] File ]
mod - src/StdStorage/StdStorage_HeaderData.cxx Diff ] File ]
mod - src/StdStorage/StdStorage_HeaderData.hxx Diff ] File ]
mod - src/StdStorage/StdStorage_Root.cxx Diff ] File ]
mod - src/StdStorage/StdStorage_Root.hxx Diff ] File ]
mod - src/StdStorage/StdStorage_RootData.cxx Diff ] File ]
mod - src/StdStorage/StdStorage_RootData.hxx Diff ] File ]
mod - src/StdStorage/StdStorage_TypeData.cxx Diff ] File ]
mod - src/StdStorage/StdStorage_TypeData.hxx Diff ] File ]
mod - src/StepAP242/StepAP242_IdAttribute.cxx Diff ] File ]
mod - src/StepAP242/StepAP242_IdAttribute.hxx Diff ] File ]
mod - src/StepAP242/StepAP242_ItemIdentifiedRepresentationUsage.cxx Diff ] File ]
mod - src/StepAP242/StepAP242_ItemIdentifiedRepresentationUsage.hxx Diff ] File ]
mod - src/StepBasic/StepBasic_Action.cxx Diff ] File ]
mod - src/StepBasic/StepBasic_Action.hxx Diff ] File ]
mod - src/StepBasic/StepBasic_ActionAssignment.cxx Diff ] File ]
mod - src/StepBasic/StepBasic_ActionAssignment.hxx Diff ] File ]
mod - src/StepBasic/StepBasic_ActionMethod.cxx Diff ] File ]
mod - src/StepBasic/StepBasic_ActionMethod.hxx Diff ] File ]
mod - src/StepBasic/StepBasic_ActionRequestAssignment.cxx Diff ] File ]
mod - src/StepBasic/StepBasic_ActionRequestAssignment.hxx Diff ] File ]
mod - src/StepBasic/StepBasic_ActionRequestSolution.cxx Diff ] File ]
mod - src/StepBasic/StepBasic_ActionRequestSolution.hxx Diff ] File ]
mod - src/StepBasic/StepBasic_Address.cxx Diff ] File ]
mod - src/StepBasic/StepBasic_Address.hxx Diff ] File ]
mod - src/StepBasic/StepBasic_ApplicationContext.cxx Diff ] File ]
mod - src/StepBasic/StepBasic_ApplicationContext.hxx Diff ] File ]
mod - src/StepBasic/StepBasic_ApplicationContextElement.cxx Diff ] File ]
mod - src/StepBasic/StepBasic_ApplicationContextElement.hxx Diff ] File ]
mod - src/StepBasic/StepBasic_ApplicationProtocolDefinition.cxx Diff ] File ]
mod - src/StepBasic/StepBasic_ApplicationProtocolDefinition.hxx Diff ] File ]
mod - src/StepBasic/StepBasic_Approval.cxx Diff ] File ]
mod - src/StepBasic/StepBasic_Approval.hxx Diff ] File ]
mod - src/StepBasic/StepBasic_ApprovalAssignment.cxx Diff ] File ]
mod - src/StepBasic/StepBasic_ApprovalAssignment.hxx Diff ] File ]
mod - src/StepBasic/StepBasic_ApprovalDateTime.cxx Diff ] File ]
mod - src/StepBasic/StepBasic_ApprovalDateTime.hxx Diff ] File ]
mod - src/StepBasic/StepBasic_ApprovalPersonOrganization.cxx Diff ] File ]
mod - src/StepBasic/StepBasic_ApprovalPersonOrganization.hxx Diff ] File ]
mod - src/StepBasic/StepBasic_ApprovalRelationship.cxx Diff ] File ]
mod - src/StepBasic/StepBasic_ApprovalRelationship.hxx Diff ] File ]
mod - src/StepBasic/StepBasic_ApprovalRole.cxx Diff ] File ]
mod - src/StepBasic/StepBasic_ApprovalRole.hxx Diff ] File ]
mod - src/StepBasic/StepBasic_ApprovalStatus.cxx Diff ] File ]
mod - src/StepBasic/StepBasic_ApprovalStatus.hxx Diff ] File ]
mod - src/StepBasic/StepBasic_Certification.cxx Diff ] File ]
mod - src/StepBasic/StepBasic_Certification.hxx Diff ] File ]
mod - src/StepBasic/StepBasic_CertificationAssignment.cxx Diff ] File ]
mod - src/StepBasic/StepBasic_CertificationAssignment.hxx Diff ] File ]
mod - src/StepBasic/StepBasic_CertificationType.cxx Diff ] File ]
mod - src/StepBasic/StepBasic_CertificationType.hxx Diff ] File ]
mod - src/StepBasic/StepBasic_CharacterizedObject.cxx Diff ] File ]
mod - src/StepBasic/StepBasic_CharacterizedObject.hxx Diff ] File ]
mod - src/StepBasic/StepBasic_Contract.cxx Diff ] File ]
mod - src/StepBasic/StepBasic_Contract.hxx Diff ] File ]
mod - src/StepBasic/StepBasic_ContractAssignment.cxx Diff ] File ]
mod - src/StepBasic/StepBasic_ContractAssignment.hxx Diff ] File ]
mod - src/StepBasic/StepBasic_ContractType.cxx Diff ] File ]
mod - src/StepBasic/StepBasic_ContractType.hxx Diff ] File ]
mod - src/StepBasic/StepBasic_CoordinatedUniversalTimeOffset.cxx Diff ] File ]
mod - src/StepBasic/StepBasic_CoordinatedUniversalTimeOffset.hxx Diff ] File ]
mod - src/StepBasic/StepBasic_Date.cxx Diff ] File ]
mod - src/StepBasic/StepBasic_Date.hxx Diff ] File ]
mod - src/StepBasic/StepBasic_DateAndTime.cxx Diff ] File ]
mod - src/StepBasic/StepBasic_DateAndTime.hxx Diff ] File ]
mod - src/StepBasic/StepBasic_DateAndTimeAssignment.cxx Diff ] File ]
mod - src/StepBasic/StepBasic_DateAndTimeAssignment.hxx Diff ] File ]
mod - src/StepBasic/StepBasic_DateAssignment.cxx Diff ] File ]
mod - src/StepBasic/StepBasic_DateAssignment.hxx Diff ] File ]
mod - src/StepBasic/StepBasic_DateRole.cxx Diff ] File ]
mod - src/StepBasic/StepBasic_DateRole.hxx Diff ] File ]
mod - src/StepBasic/StepBasic_DateTimeRole.cxx Diff ] File ]
mod - src/StepBasic/StepBasic_DateTimeRole.hxx Diff ] File ]
mod - src/StepBasic/StepBasic_DerivedUnit.cxx Diff ] File ]
mod - src/StepBasic/StepBasic_DerivedUnit.hxx Diff ] File ]
mod - src/StepBasic/StepBasic_DerivedUnitElement.cxx Diff ] File ]
mod - src/StepBasic/StepBasic_DerivedUnitElement.hxx Diff ] File ]
mod - src/StepBasic/StepBasic_DimensionalExponents.cxx Diff ] File ]
mod - src/StepBasic/StepBasic_DimensionalExponents.hxx Diff ] File ]
mod - src/StepBasic/StepBasic_Document.cxx Diff ] File ]
mod - src/StepBasic/StepBasic_Document.hxx Diff ] File ]
mod - src/StepBasic/StepBasic_DocumentProductAssociation.cxx Diff ] File ]
mod - src/StepBasic/StepBasic_DocumentProductAssociation.hxx Diff ] File ]
mod - src/StepBasic/StepBasic_DocumentReference.cxx Diff ] File ]
mod - src/StepBasic/StepBasic_DocumentReference.hxx Diff ] File ]
mod - src/StepBasic/StepBasic_DocumentRelationship.cxx Diff ] File ]
mod - src/StepBasic/StepBasic_DocumentRelationship.hxx Diff ] File ]
mod - src/StepBasic/StepBasic_DocumentRepresentationType.cxx Diff ] File ]
mod - src/StepBasic/StepBasic_DocumentRepresentationType.hxx Diff ] File ]
mod - src/StepBasic/StepBasic_DocumentType.cxx Diff ] File ]
mod - src/StepBasic/StepBasic_DocumentType.hxx Diff ] File ]
mod - src/StepBasic/StepBasic_DocumentUsageConstraint.cxx Diff ] File ]
mod - src/StepBasic/StepBasic_DocumentUsageConstraint.hxx Diff ] File ]
mod - src/StepBasic/StepBasic_Effectivity.cxx Diff ] File ]
mod - src/StepBasic/StepBasic_Effectivity.hxx Diff ] File ]
mod - src/StepBasic/StepBasic_EffectivityAssignment.cxx Diff ] File ]
mod - src/StepBasic/StepBasic_EffectivityAssignment.hxx Diff ] File ]
mod - src/StepBasic/StepBasic_EulerAngles.cxx Diff ] File ]
mod - src/StepBasic/StepBasic_EulerAngles.hxx Diff ] File ]
mod - src/StepBasic/StepBasic_ExternallyDefinedItem.cxx Diff ] File ]
mod - src/StepBasic/StepBasic_ExternallyDefinedItem.hxx Diff ] File ]
mod - src/StepBasic/StepBasic_ExternalSource.cxx Diff ] File ]
mod - src/StepBasic/StepBasic_ExternalSource.hxx Diff ] File ]
mod - src/StepBasic/StepBasic_GeneralProperty.cxx Diff ] File ]
mod - src/StepBasic/StepBasic_GeneralProperty.hxx Diff ] File ]
mod - src/StepBasic/StepBasic_Group.cxx Diff ] File ]
mod - src/StepBasic/StepBasic_Group.hxx Diff ] File ]
mod - src/StepBasic/StepBasic_GroupAssignment.cxx Diff ] File ]
mod - src/StepBasic/StepBasic_GroupAssignment.hxx Diff ] File ]
mod - src/StepBasic/StepBasic_GroupRelationship.cxx Diff ] File ]
mod - src/StepBasic/StepBasic_GroupRelationship.hxx Diff ] File ]
mod - src/StepBasic/StepBasic_IdentificationAssignment.cxx Diff ] File ]
mod - src/StepBasic/StepBasic_IdentificationAssignment.hxx Diff ] File ]
mod - src/StepBasic/StepBasic_IdentificationRole.cxx Diff ] File ]
mod - src/StepBasic/StepBasic_IdentificationRole.hxx Diff ] File ]
mod - src/StepBasic/StepBasic_LocalTime.cxx Diff ] File ]
mod - src/StepBasic/StepBasic_LocalTime.hxx Diff ] File ]
mod - src/StepBasic/StepBasic_MeasureWithUnit.cxx Diff ] File ]
mod - src/StepBasic/StepBasic_MeasureWithUnit.hxx Diff ] File ]
mod - src/StepBasic/StepBasic_NameAssignment.cxx Diff ] File ]
mod - src/StepBasic/StepBasic_NameAssignment.hxx Diff ] File ]
mod - src/StepBasic/StepBasic_NamedUnit.cxx Diff ] File ]
mod - src/StepBasic/StepBasic_NamedUnit.hxx Diff ] File ]
mod - src/StepBasic/StepBasic_ObjectRole.cxx Diff ] File ]
mod - src/StepBasic/StepBasic_ObjectRole.hxx Diff ] File ]
mod - src/StepBasic/StepBasic_Organization.cxx Diff ] File ]
mod - src/StepBasic/StepBasic_Organization.hxx Diff ] File ]
mod - src/StepBasic/StepBasic_OrganizationAssignment.cxx Diff ] File ]
mod - src/StepBasic/StepBasic_OrganizationAssignment.hxx Diff ] File ]
mod - src/StepBasic/StepBasic_OrganizationRole.cxx Diff ] File ]
mod - src/StepBasic/StepBasic_OrganizationRole.hxx Diff ] File ]
mod - src/StepBasic/StepBasic_Person.cxx Diff ] File ]
mod - src/StepBasic/StepBasic_Person.hxx Diff ] File ]
mod - src/StepBasic/StepBasic_PersonAndOrganization.cxx Diff ] File ]
mod - src/StepBasic/StepBasic_PersonAndOrganization.hxx Diff ] File ]
mod - src/StepBasic/StepBasic_PersonAndOrganizationAssignment.cxx Diff ] File ]
mod - src/StepBasic/StepBasic_PersonAndOrganizationAssignment.hxx Diff ] File ]
mod - src/StepBasic/StepBasic_PersonAndOrganizationRole.cxx Diff ] File ]
mod - src/StepBasic/StepBasic_PersonAndOrganizationRole.hxx Diff ] File ]
mod - src/StepBasic/StepBasic_Product.cxx Diff ] File ]
mod - src/StepBasic/StepBasic_Product.hxx Diff ] File ]
mod - src/StepBasic/StepBasic_ProductCategory.cxx Diff ] File ]
mod - src/StepBasic/StepBasic_ProductCategory.hxx Diff ] File ]
mod - src/StepBasic/StepBasic_ProductCategoryRelationship.cxx Diff ] File ]
mod - src/StepBasic/StepBasic_ProductCategoryRelationship.hxx Diff ] File ]
mod - src/StepBasic/StepBasic_ProductDefinition.cxx Diff ] File ]
mod - src/StepBasic/StepBasic_ProductDefinition.hxx Diff ] File ]
mod - src/StepBasic/StepBasic_ProductDefinitionFormation.cxx Diff ] File ]
mod - src/StepBasic/StepBasic_ProductDefinitionFormation.hxx Diff ] File ]
mod - src/StepBasic/StepBasic_ProductDefinitionFormationRelationship.cxx Diff ] File ]
mod - src/StepBasic/StepBasic_ProductDefinitionFormationRelationship.hxx Diff ] File ]
mod - src/StepBasic/StepBasic_ProductDefinitionReference.cxx Diff ] File ]
mod - src/StepBasic/StepBasic_ProductDefinitionReference.hxx Diff ] File ]
mod - src/StepBasic/StepBasic_ProductDefinitionRelationship.cxx Diff ] File ]
mod - src/StepBasic/StepBasic_ProductDefinitionRelationship.hxx Diff ] File ]
mod - src/StepBasic/StepBasic_RoleAssociation.cxx Diff ] File ]
mod - src/StepBasic/StepBasic_RoleAssociation.hxx Diff ] File ]
mod - src/StepBasic/StepBasic_SecurityClassification.cxx Diff ] File ]
mod - src/StepBasic/StepBasic_SecurityClassification.hxx Diff ] File ]
mod - src/StepBasic/StepBasic_SecurityClassificationAssignment.cxx Diff ] File ]
mod - src/StepBasic/StepBasic_SecurityClassificationAssignment.hxx Diff ] File ]
mod - src/StepBasic/StepBasic_SecurityClassificationLevel.cxx Diff ] File ]
mod - src/StepBasic/StepBasic_SecurityClassificationLevel.hxx Diff ] File ]
mod - src/StepBasic/StepBasic_VersionedActionRequest.cxx Diff ] File ]
mod - src/StepBasic/StepBasic_VersionedActionRequest.hxx Diff ] File ]
mod - src/STEPCAFControl/STEPCAFControl_ExternFile.cxx Diff ] File ]
mod - src/STEPCAFControl/STEPCAFControl_ExternFile.hxx Diff ] File ]
mod - src/STEPCAFControl/STEPCAFControl_Reader.cxx Diff ] File ]
mod - src/StepData/StepData_Described.cxx Diff ] File ]
mod - src/StepData/StepData_Described.hxx Diff ] File ]
mod - src/StepData/StepData_EDescr.cxx Diff ] File ]
mod - src/StepData/StepData_EDescr.hxx Diff ] File ]
mod - src/StepData/StepData_FreeFormEntity.cxx Diff ] File ]
mod - src/StepData/StepData_FreeFormEntity.hxx Diff ] File ]
mod - src/StepData/StepData_NodeOfWriterLib.hxx Diff ] File ]
mod - src/StepData/StepData_PDescr.cxx Diff ] File ]
mod - src/StepData/StepData_PDescr.hxx Diff ] File ]
mod - src/StepData/StepData_SelectMember.cxx Diff ] File ]
mod - src/StepData/StepData_SelectMember.hxx Diff ] File ]
mod - src/StepData/StepData_UndefinedEntity.cxx Diff ] File ]
mod - src/StepData/StepData_UndefinedEntity.hxx Diff ] File ]
mod - src/StepDimTol/StepDimTol_DatumReference.cxx Diff ] File ]
mod - src/StepDimTol/StepDimTol_DatumReference.hxx Diff ] File ]
mod - src/StepDimTol/StepDimTol_DatumReferenceModifierWithValue.cxx Diff ] File ]
mod - src/StepDimTol/StepDimTol_DatumReferenceModifierWithValue.hxx Diff ] File ]
mod - src/StepDimTol/StepDimTol_GeometricTolerance.cxx Diff ] File ]
mod - src/StepDimTol/StepDimTol_GeometricTolerance.hxx Diff ] File ]
mod - src/StepDimTol/StepDimTol_GeometricToleranceRelationship.cxx Diff ] File ]
mod - src/StepDimTol/StepDimTol_GeometricToleranceRelationship.hxx Diff ] File ]
mod - src/StepDimTol/StepDimTol_RunoutZoneOrientation.cxx Diff ] File ]
mod - src/StepDimTol/StepDimTol_RunoutZoneOrientation.hxx Diff ] File ]
mod - src/StepDimTol/StepDimTol_ToleranceZoneDefinition.cxx Diff ] File ]
mod - src/StepDimTol/StepDimTol_ToleranceZoneDefinition.hxx Diff ] File ]
mod - src/StepDimTol/StepDimTol_ToleranceZoneForm.cxx Diff ] File ]
mod - src/StepDimTol/StepDimTol_ToleranceZoneForm.hxx Diff ] File ]
mod - src/StepElement/StepElement_AnalysisItemWithinRepresentation.cxx Diff ] File ]
mod - src/StepElement/StepElement_AnalysisItemWithinRepresentation.hxx Diff ] File ]
mod - src/StepElement/StepElement_CurveElementEndReleasePacket.cxx Diff ] File ]
mod - src/StepElement/StepElement_CurveElementEndReleasePacket.hxx Diff ] File ]
mod - src/StepElement/StepElement_CurveElementSectionDefinition.cxx Diff ] File ]
mod - src/StepElement/StepElement_CurveElementSectionDefinition.hxx Diff ] File ]
mod - src/StepElement/StepElement_ElementDescriptor.cxx Diff ] File ]
mod - src/StepElement/StepElement_ElementDescriptor.hxx Diff ] File ]
mod - src/StepElement/StepElement_ElementMaterial.cxx Diff ] File ]
mod - src/StepElement/StepElement_ElementMaterial.hxx Diff ] File ]
mod - src/StepElement/StepElement_SurfaceElementProperty.cxx Diff ] File ]
mod - src/StepElement/StepElement_SurfaceElementProperty.hxx Diff ] File ]
mod - src/StepElement/StepElement_SurfaceSection.cxx Diff ] File ]
mod - src/StepElement/StepElement_SurfaceSection.hxx Diff ] File ]
mod - src/StepElement/StepElement_SurfaceSectionField.cxx Diff ] File ]
mod - src/StepElement/StepElement_SurfaceSectionField.hxx Diff ] File ]
mod - src/StepFEA/StepFEA_Curve3dElementProperty.cxx Diff ] File ]
mod - src/StepFEA/StepFEA_Curve3dElementProperty.hxx Diff ] File ]
mod - src/StepFEA/StepFEA_CurveElementEndOffset.cxx Diff ] File ]
mod - src/StepFEA/StepFEA_CurveElementEndOffset.hxx Diff ] File ]
mod - src/StepFEA/StepFEA_CurveElementEndRelease.cxx Diff ] File ]
mod - src/StepFEA/StepFEA_CurveElementEndRelease.hxx Diff ] File ]
mod - src/StepFEA/StepFEA_CurveElementInterval.cxx Diff ] File ]
mod - src/StepFEA/StepFEA_CurveElementInterval.hxx Diff ] File ]
mod - src/StepFEA/StepFEA_CurveElementLocation.cxx Diff ] File ]
mod - src/StepFEA/StepFEA_CurveElementLocation.hxx Diff ] File ]
mod - src/StepFEA/StepFEA_ElementGeometricRelationship.cxx Diff ] File ]
mod - src/StepFEA/StepFEA_ElementGeometricRelationship.hxx Diff ] File ]
mod - src/StepFEA/StepFEA_FeaCurveSectionGeometricRelationship.cxx Diff ] File ]
mod - src/StepFEA/StepFEA_FeaCurveSectionGeometricRelationship.hxx Diff ] File ]
mod - src/StepFEA/StepFEA_FeaSurfaceSectionGeometricRelationship.cxx Diff ] File ]
mod - src/StepFEA/StepFEA_FeaSurfaceSectionGeometricRelationship.hxx Diff ] File ]
mod - src/StepFEA/StepFEA_FreedomAndCoefficient.cxx Diff ] File ]
mod - src/StepFEA/StepFEA_FreedomAndCoefficient.hxx Diff ] File ]
mod - src/StepFEA/StepFEA_FreedomsList.cxx Diff ] File ]
mod - src/StepFEA/StepFEA_FreedomsList.hxx Diff ] File ]
mod - src/StepGeom/StepGeom_CompositeCurveSegment.cxx Diff ] File ]
mod - src/StepGeom/StepGeom_CompositeCurveSegment.hxx Diff ] File ]
mod - src/StepGeom/StepGeom_SurfacePatch.cxx Diff ] File ]
mod - src/StepGeom/StepGeom_SurfacePatch.hxx Diff ] File ]
mod - src/StepRepr/StepRepr_AssemblyComponentUsageSubstitute.cxx Diff ] File ]
mod - src/StepRepr/StepRepr_AssemblyComponentUsageSubstitute.hxx Diff ] File ]
mod - src/StepRepr/StepRepr_ConfigurationDesign.cxx Diff ] File ]
mod - src/StepRepr/StepRepr_ConfigurationDesign.hxx Diff ] File ]
mod - src/StepRepr/StepRepr_ConfigurationItem.cxx Diff ] File ]
mod - src/StepRepr/StepRepr_ConfigurationItem.hxx Diff ] File ]
mod - src/StepRepr/StepRepr_DataEnvironment.cxx Diff ] File ]
mod - src/StepRepr/StepRepr_DataEnvironment.hxx Diff ] File ]
mod - src/StepRepr/StepRepr_FunctionallyDefinedTransformation.cxx Diff ] File ]
mod - src/StepRepr/StepRepr_FunctionallyDefinedTransformation.hxx Diff ] File ]
mod - src/StepRepr/StepRepr_ItemDefinedTransformation.cxx Diff ] File ]
mod - src/StepRepr/StepRepr_ItemDefinedTransformation.hxx Diff ] File ]
mod - src/StepRepr/StepRepr_MaterialDesignation.cxx Diff ] File ]
mod - src/StepRepr/StepRepr_MaterialDesignation.hxx Diff ] File ]
mod - src/StepRepr/StepRepr_ProductConcept.cxx Diff ] File ]
mod - src/StepRepr/StepRepr_ProductConcept.hxx Diff ] File ]
mod - src/StepRepr/StepRepr_PropertyDefinition.cxx Diff ] File ]
mod - src/StepRepr/StepRepr_PropertyDefinition.hxx Diff ] File ]
mod - src/StepRepr/StepRepr_PropertyDefinitionRelationship.cxx Diff ] File ]
mod - src/StepRepr/StepRepr_PropertyDefinitionRelationship.hxx Diff ] File ]
mod - src/StepRepr/StepRepr_PropertyDefinitionRepresentation.cxx Diff ] File ]
mod - src/StepRepr/StepRepr_PropertyDefinitionRepresentation.hxx Diff ] File ]
mod - src/StepRepr/StepRepr_Representation.cxx Diff ] File ]
mod - src/StepRepr/StepRepr_Representation.hxx Diff ] File ]
mod - src/StepRepr/StepRepr_RepresentationContext.cxx Diff ] File ]
mod - src/StepRepr/StepRepr_RepresentationContext.hxx Diff ] File ]
mod - src/StepRepr/StepRepr_RepresentationItem.cxx Diff ] File ]
mod - src/StepRepr/StepRepr_RepresentationItem.hxx Diff ] File ]
mod - src/StepRepr/StepRepr_RepresentationMap.cxx Diff ] File ]
mod - src/StepRepr/StepRepr_RepresentationMap.hxx Diff ] File ]
mod - src/StepRepr/StepRepr_RepresentationRelationship.cxx Diff ] File ]
mod - src/StepRepr/StepRepr_RepresentationRelationship.hxx Diff ] File ]
mod - src/StepRepr/StepRepr_ShapeAspect.cxx Diff ] File ]
mod - src/StepRepr/StepRepr_ShapeAspect.hxx Diff ] File ]
mod - src/StepRepr/StepRepr_ShapeAspectRelationship.cxx Diff ] File ]
mod - src/StepRepr/StepRepr_ShapeAspectRelationship.hxx Diff ] File ]
mod - src/STEPSelections/STEPSelections_AssemblyComponent.cxx Diff ] File ]
mod - src/STEPSelections/STEPSelections_AssemblyComponent.hxx Diff ] File ]
mod - src/STEPSelections/STEPSelections_AssemblyLink.cxx Diff ] File ]
mod - src/STEPSelections/STEPSelections_AssemblyLink.hxx Diff ] File ]
mod - src/StepShape/StepShape_BoxDomain.cxx Diff ] File ]
mod - src/StepShape/StepShape_BoxDomain.hxx Diff ] File ]
mod - src/StepShape/StepShape_ContextDependentShapeRepresentation.cxx Diff ] File ]
mod - src/StepShape/StepShape_ContextDependentShapeRepresentation.hxx Diff ] File ]
mod - src/StepShape/StepShape_DimensionalCharacteristicRepresentation.cxx Diff ] File ]
mod - src/StepShape/StepShape_DimensionalCharacteristicRepresentation.hxx Diff ] File ]
mod - src/StepShape/StepShape_DimensionalSize.cxx Diff ] File ]
mod - src/StepShape/StepShape_DimensionalSize.hxx Diff ] File ]
mod - src/StepShape/StepShape_LimitsAndFits.cxx Diff ] File ]
mod - src/StepShape/StepShape_LimitsAndFits.hxx Diff ] File ]
mod - src/StepShape/StepShape_MeasureQualification.cxx Diff ] File ]
mod - src/StepShape/StepShape_MeasureQualification.hxx Diff ] File ]
mod - src/StepShape/StepShape_PlusMinusTolerance.cxx Diff ] File ]
mod - src/StepShape/StepShape_PlusMinusTolerance.hxx Diff ] File ]
mod - src/StepShape/StepShape_PrecisionQualifier.cxx Diff ] File ]
mod - src/StepShape/StepShape_PrecisionQualifier.hxx Diff ] File ]
mod - src/StepShape/StepShape_ToleranceValue.cxx Diff ] File ]
mod - src/StepShape/StepShape_ToleranceValue.hxx Diff ] File ]
mod - src/StepShape/StepShape_TypeQualifier.cxx Diff ] File ]
mod - src/StepShape/StepShape_TypeQualifier.hxx Diff ] File ]
mod - src/StepShape/StepShape_ValueFormatTypeQualifier.cxx Diff ] File ]
mod - src/StepShape/StepShape_ValueFormatTypeQualifier.hxx Diff ] File ]
mod - src/StepVisual/StepVisual_AnnotationFillAreaOccurrence.cxx Diff ] File ]
mod - src/StepVisual/StepVisual_AnnotationFillAreaOccurrence.hxx Diff ] File ]
mod - src/StepVisual/StepVisual_AnnotationPlane.cxx Diff ] File ]
mod - src/StepVisual/StepVisual_AnnotationPlane.hxx Diff ] File ]
mod - src/StepVisual/StepVisual_AreaInSet.cxx Diff ] File ]
mod - src/StepVisual/StepVisual_AreaInSet.hxx Diff ] File ]
mod - src/StepVisual/StepVisual_Colour.cxx Diff ] File ]
mod - src/StepVisual/StepVisual_Colour.hxx Diff ] File ]
mod - src/StepVisual/StepVisual_ContextDependentOverRidingStyledItem.cxx Diff ] File ]
mod - src/StepVisual/StepVisual_ContextDependentOverRidingStyledItem.hxx Diff ] File ]
mod - src/StepVisual/StepVisual_CurveStyle.cxx Diff ] File ]
mod - src/StepVisual/StepVisual_CurveStyle.hxx Diff ] File ]
mod - src/StepVisual/StepVisual_CurveStyleFont.cxx Diff ] File ]
mod - src/StepVisual/StepVisual_CurveStyleFont.hxx Diff ] File ]
mod - src/StepVisual/StepVisual_CurveStyleFontPattern.cxx Diff ] File ]
mod - src/StepVisual/StepVisual_CurveStyleFontPattern.hxx Diff ] File ]
mod - src/StepVisual/StepVisual_FillAreaStyle.cxx Diff ] File ]
mod - src/StepVisual/StepVisual_FillAreaStyle.hxx Diff ] File ]
mod - src/StepVisual/StepVisual_FillAreaStyleColour.cxx Diff ] File ]
mod - src/StepVisual/StepVisual_FillAreaStyleColour.hxx Diff ] File ]
mod - src/StepVisual/StepVisual_Invisibility.cxx Diff ] File ]
mod - src/StepVisual/StepVisual_Invisibility.hxx Diff ] File ]
mod - src/StepVisual/StepVisual_OverRidingStyledItem.cxx Diff ] File ]
mod - src/StepVisual/StepVisual_OverRidingStyledItem.hxx Diff ] File ]
mod - src/StepVisual/StepVisual_PointStyle.cxx Diff ] File ]
mod - src/StepVisual/StepVisual_PointStyle.hxx Diff ] File ]
mod - src/StepVisual/StepVisual_PreDefinedItem.cxx Diff ] File ]
mod - src/StepVisual/StepVisual_PreDefinedItem.hxx Diff ] File ]
mod - src/StepVisual/StepVisual_PresentationLayerAssignment.cxx Diff ] File ]
mod - src/StepVisual/StepVisual_PresentationLayerAssignment.hxx Diff ] File ]
mod - src/StepVisual/StepVisual_PresentationLayerUsage.cxx Diff ] File ]
mod - src/StepVisual/StepVisual_PresentationLayerUsage.hxx Diff ] File ]
mod - src/StepVisual/StepVisual_PresentationSet.cxx Diff ] File ]
mod - src/StepVisual/StepVisual_PresentationSet.hxx Diff ] File ]
mod - src/StepVisual/StepVisual_PresentationSize.cxx Diff ] File ]
mod - src/StepVisual/StepVisual_PresentationSize.hxx Diff ] File ]
mod - src/StepVisual/StepVisual_PresentationStyleAssignment.cxx Diff ] File ]
mod - src/StepVisual/StepVisual_PresentationStyleAssignment.hxx Diff ] File ]
mod - src/StepVisual/StepVisual_PresentedItem.cxx Diff ] File ]
mod - src/StepVisual/StepVisual_PresentedItem.hxx Diff ] File ]
mod - src/StepVisual/StepVisual_PresentedItemRepresentation.cxx Diff ] File ]
mod - src/StepVisual/StepVisual_PresentedItemRepresentation.hxx Diff ] File ]
mod - src/StepVisual/StepVisual_StyledItem.cxx Diff ] File ]
mod - src/StepVisual/StepVisual_StyledItem.hxx Diff ] File ]
mod - src/StepVisual/StepVisual_SurfaceSideStyle.cxx Diff ] File ]
mod - src/StepVisual/StepVisual_SurfaceSideStyle.hxx Diff ] File ]
mod - src/StepVisual/StepVisual_SurfaceStyleBoundary.cxx Diff ] File ]
mod - src/StepVisual/StepVisual_SurfaceStyleBoundary.hxx Diff ] File ]
mod - src/StepVisual/StepVisual_SurfaceStyleControlGrid.cxx Diff ] File ]
mod - src/StepVisual/StepVisual_SurfaceStyleControlGrid.hxx Diff ] File ]
mod - src/StepVisual/StepVisual_SurfaceStyleFillArea.cxx Diff ] File ]
mod - src/StepVisual/StepVisual_SurfaceStyleFillArea.hxx Diff ] File ]
mod - src/StepVisual/StepVisual_SurfaceStyleParameterLine.cxx Diff ] File ]
mod - src/StepVisual/StepVisual_SurfaceStyleParameterLine.hxx Diff ] File ]
mod - src/StepVisual/StepVisual_SurfaceStyleSegmentationCurve.cxx Diff ] File ]
mod - src/StepVisual/StepVisual_SurfaceStyleSegmentationCurve.hxx Diff ] File ]
mod - src/StepVisual/StepVisual_SurfaceStyleSilhouette.cxx Diff ] File ]
mod - src/StepVisual/StepVisual_SurfaceStyleSilhouette.hxx Diff ] File ]
mod - src/StepVisual/StepVisual_SurfaceStyleUsage.cxx Diff ] File ]
mod - src/StepVisual/StepVisual_SurfaceStyleUsage.hxx Diff ] File ]
mod - src/StepVisual/StepVisual_TextStyle.cxx Diff ] File ]
mod - src/StepVisual/StepVisual_TextStyle.hxx Diff ] File ]
mod - src/StepVisual/StepVisual_TextStyleForDefinedFont.cxx Diff ] File ]
mod - src/StepVisual/StepVisual_TextStyleForDefinedFont.hxx Diff ] File ]
mod - src/StepVisual/StepVisual_ViewVolume.cxx Diff ] File ]
mod - src/StepVisual/StepVisual_ViewVolume.hxx Diff ] File ]
mod - src/StlMesh/StlMesh_Mesh.cxx Diff ] File ]
mod - src/StlMesh/StlMesh_Mesh.hxx Diff ] File ]
mod - src/StlMesh/StlMesh_MeshDomain.cxx Diff ] File ]
mod - src/StlMesh/StlMesh_MeshDomain.hxx Diff ] File ]
mod - src/StlMesh/StlMesh_MeshTriangle.cxx Diff ] File ]
mod - src/StlMesh/StlMesh_MeshTriangle.hxx Diff ] File ]
mod - src/Storage/Storage_CallBack.cxx Diff ] File ]
mod - src/Storage/Storage_CallBack.hxx Diff ] File ]
mod - src/Storage/Storage_Data.cxx Diff ] File ]
mod - src/Storage/Storage_Data.hxx Diff ] File ]
mod - src/Storage/Storage_HeaderData.cxx Diff ] File ]
mod - src/Storage/Storage_HeaderData.hxx Diff ] File ]
mod - src/Storage/Storage_InternalData.cxx Diff ] File ]
mod - src/Storage/Storage_InternalData.hxx Diff ] File ]
mod - src/Storage/Storage_Root.cxx Diff ] File ]
mod - src/Storage/Storage_Root.hxx Diff ] File ]
mod - src/Storage/Storage_RootData.cxx Diff ] File ]
mod - src/Storage/Storage_RootData.hxx Diff ] File ]
mod - src/Storage/Storage_Schema.cxx Diff ] File ]
mod - src/Storage/Storage_Schema.hxx Diff ] File ]
mod - src/Storage/Storage_TypeData.cxx Diff ] File ]
mod - src/Storage/Storage_TypeData.hxx Diff ] File ]
mod - src/Storage/Storage_TypedCallBack.cxx Diff ] File ]
mod - src/Storage/Storage_TypedCallBack.hxx Diff ] File ]
mod - src/TCollection/TCollection_HAsciiString.cxx Diff ] File ]
mod - src/TCollection/TCollection_HAsciiString.hxx Diff ] File ]
mod - src/TCollection/TCollection_HExtendedString.cxx Diff ] File ]
mod - src/TCollection/TCollection_HExtendedString.hxx Diff ] File ]
mod - src/TCollection/TCollection_MapNode.cxx Diff ] File ]
mod - src/TCollection/TCollection_MapNode.hxx Diff ] File ]
mod - src/TCollection/TCollection_SeqNode.cxx Diff ] File ]
mod - src/TCollection/TCollection_SeqNode.hxx Diff ] File ]
mod - src/TColStd/TColStd_HPackedMapOfInteger.cxx Diff ] File ]
mod - src/TColStd/TColStd_HPackedMapOfInteger.hxx Diff ] File ]
mod - src/TDataStd/TDataStd_HDataMapOfStringByte.cxx Diff ] File ]
mod - src/TDataStd/TDataStd_HDataMapOfStringByte.hxx Diff ] File ]
mod - src/TDataStd/TDataStd_HDataMapOfStringHArray1OfInteger.cxx Diff ] File ]
mod - src/TDataStd/TDataStd_HDataMapOfStringHArray1OfInteger.hxx Diff ] File ]
mod - src/TDataStd/TDataStd_HDataMapOfStringHArray1OfReal.cxx Diff ] File ]
mod - src/TDataStd/TDataStd_HDataMapOfStringHArray1OfReal.hxx Diff ] File ]
mod - src/TDataStd/TDataStd_HDataMapOfStringInteger.cxx Diff ] File ]
mod - src/TDataStd/TDataStd_HDataMapOfStringInteger.hxx Diff ] File ]
mod - src/TDataStd/TDataStd_HDataMapOfStringReal.cxx Diff ] File ]
mod - src/TDataStd/TDataStd_HDataMapOfStringReal.hxx Diff ] File ]
mod - src/TDataStd/TDataStd_HDataMapOfStringString.cxx Diff ] File ]
mod - src/TDataStd/TDataStd_HDataMapOfStringString.hxx Diff ] File ]
mod - src/TDF/TDF_Attribute.cxx Diff ] File ]
mod - src/TDF/TDF_Attribute.hxx Diff ] File ]
mod - src/TDF/TDF_AttributeDelta.cxx Diff ] File ]
mod - src/TDF/TDF_AttributeDelta.hxx Diff ] File ]
mod - src/TDF/TDF_Data.cxx Diff ] File ]
mod - src/TDF/TDF_Data.hxx Diff ] File ]
mod - src/TDF/TDF_DataSet.cxx Diff ] File ]
mod - src/TDF/TDF_DataSet.hxx Diff ] File ]
mod - src/TDF/TDF_Delta.cxx Diff ] File ]
mod - src/TDF/TDF_Delta.hxx Diff ] File ]
mod - src/TDF/TDF_RelocationTable.cxx Diff ] File ]
mod - src/TDF/TDF_RelocationTable.hxx Diff ] File ]
mod - src/TDocStd/TDocStd_ApplicationDelta.cxx Diff ] File ]
mod - src/TDocStd/TDocStd_ApplicationDelta.hxx Diff ] File ]
mod - src/TDocStd/TDocStd_MultiTransactionManager.cxx Diff ] File ]
mod - src/TDocStd/TDocStd_MultiTransactionManager.hxx Diff ] File ]
mod - src/TFunction/TFunction_Driver.cxx Diff ] File ]
mod - src/TFunction/TFunction_Driver.hxx Diff ] File ]
mod - src/TFunction/TFunction_DriverTable.cxx Diff ] File ]
mod - src/TFunction/TFunction_DriverTable.hxx Diff ] File ]
mod - src/TNaming/TNaming_TranslateTool.cxx Diff ] File ]
mod - src/TNaming/TNaming_TranslateTool.hxx Diff ] File ]
mod - src/TObj/TObj_Assistant.cxx Diff ] File ]
mod - src/TObj/TObj_Common.hxx Diff ] File ]
mod - src/TObj/TObj_Model.cxx Diff ] File ]
mod - src/TObj/TObj_Model.hxx Diff ] File ]
mod - src/TObj/TObj_Object.cxx Diff ] File ]
mod - src/TObj/TObj_Object.hxx Diff ] File ]
mod - src/TObj/TObj_ObjectIterator.cxx Diff ] File ]
mod - src/TObj/TObj_ObjectIterator.hxx Diff ] File ]
mod - src/TopLoc/TopLoc_Datum3D.cxx Diff ] File ]
mod - src/TopLoc/TopLoc_Datum3D.hxx Diff ] File ]
mod - src/TopLoc/TopLoc_SListNodeOfItemLocation.cxx Diff ] File ]
mod - src/TopLoc/TopLoc_SListNodeOfItemLocation.hxx Diff ] File ]
mod - src/TopoDS/TopoDS_HShape.cxx Diff ] File ]
mod - src/TopoDS/TopoDS_HShape.hxx Diff ] File ]
mod - src/TopoDS/TopoDS_TShape.cxx Diff ] File ]
mod - src/TopoDS/TopoDS_TShape.hxx Diff ] File ]
mod - src/TopOpeBRep/TopOpeBRep_FFDumper.cxx Diff ] File ]
mod - src/TopOpeBRep/TopOpeBRep_FFDumper.hxx Diff ] File ]
mod - src/TopOpeBRep/TopOpeBRep_Hctxee2d.cxx Diff ] File ]
mod - src/TopOpeBRep/TopOpeBRep_Hctxee2d.hxx Diff ] File ]
mod - src/TopOpeBRep/TopOpeBRep_Hctxff2d.cxx Diff ] File ]
mod - src/TopOpeBRep/TopOpeBRep_Hctxff2d.hxx Diff ] File ]
mod - src/TopOpeBRepBuild/TopOpeBRepBuild_HBuilder.cxx Diff ] File ]
mod - src/TopOpeBRepBuild/TopOpeBRepBuild_HBuilder.hxx Diff ] File ]
mod - src/TopOpeBRepBuild/TopOpeBRepBuild_Loop.cxx Diff ] File ]
mod - src/TopOpeBRepBuild/TopOpeBRepBuild_Loop.hxx Diff ] File ]
mod - src/TopOpeBRepDS/TopOpeBRepDS_Association.cxx Diff ] File ]
mod - src/TopOpeBRepDS/TopOpeBRepDS_Association.hxx Diff ] File ]
mod - src/TopOpeBRepDS/TopOpeBRepDS_Check.cxx Diff ] File ]
mod - src/TopOpeBRepDS/TopOpeBRepDS_Check.hxx Diff ] File ]
mod - src/TopOpeBRepDS/TopOpeBRepDS_GapTool.cxx Diff ] File ]
mod - src/TopOpeBRepDS/TopOpeBRepDS_GapTool.hxx Diff ] File ]
mod - src/TopOpeBRepDS/TopOpeBRepDS_HDataStructure.cxx Diff ] File ]
mod - src/TopOpeBRepDS/TopOpeBRepDS_HDataStructure.hxx Diff ] File ]
mod - src/TopOpeBRepDS/TopOpeBRepDS_Interference.cxx Diff ] File ]
mod - src/TopOpeBRepDS/TopOpeBRepDS_Interference.hxx Diff ] File ]
mod - src/TopOpeBRepDS/TopOpeBRepDS_Marker.cxx Diff ] File ]
mod - src/TopOpeBRepDS/TopOpeBRepDS_Marker.hxx Diff ] File ]
mod - src/TopOpeBRepTool/TopOpeBRepTool_HBoxTool.cxx Diff ] File ]
mod - src/TopOpeBRepTool/TopOpeBRepTool_HBoxTool.hxx Diff ] File ]
mod - src/TPrsStd/TPrsStd_Driver.cxx Diff ] File ]
mod - src/TPrsStd/TPrsStd_Driver.hxx Diff ] File ]
mod - src/TPrsStd/TPrsStd_DriverTable.cxx Diff ] File ]
mod - src/TPrsStd/TPrsStd_DriverTable.hxx Diff ] File ]
mod - src/Transfer/Transfer_ActorOfProcessForFinder.hxx Diff ] File ]
mod - src/Transfer/Transfer_ActorOfProcessForTransient.hxx Diff ] File ]
mod - src/Transfer/Transfer_Binder.cxx Diff ] File ]
mod - src/Transfer/Transfer_Binder.hxx Diff ] File ]
mod - src/Transfer/Transfer_Finder.cxx Diff ] File ]
mod - src/Transfer/Transfer_Finder.hxx Diff ] File ]
mod - src/Transfer/Transfer_MapContainer.cxx Diff ] File ]
mod - src/Transfer/Transfer_MapContainer.hxx Diff ] File ]
mod - src/Transfer/Transfer_ProcessForFinder.hxx Diff ] File ]
mod - src/Transfer/Transfer_ProcessForTransient.hxx Diff ] File ]
mod - src/Transfer/Transfer_ResultFromModel.cxx Diff ] File ]
mod - src/Transfer/Transfer_ResultFromModel.hxx Diff ] File ]
mod - src/Transfer/Transfer_ResultFromTransient.cxx Diff ] File ]
mod - src/Transfer/Transfer_ResultFromTransient.hxx Diff ] File ]
mod - src/TransferBRep/TransferBRep_TransferResultInfo.cxx Diff ] File ]
mod - src/TransferBRep/TransferBRep_TransferResultInfo.hxx Diff ] File ]
mod - src/Units/Units_Dimensions.cxx Diff ] File ]
mod - src/Units/Units_Dimensions.hxx Diff ] File ]
mod - src/Units/Units_Lexicon.cxx Diff ] File ]
mod - src/Units/Units_Lexicon.hxx Diff ] File ]
mod - src/Units/Units_Quantity.cxx Diff ] File ]
mod - src/Units/Units_Quantity.hxx Diff ] File ]
mod - src/Units/Units_Token.cxx Diff ] File ]
mod - src/Units/Units_Token.hxx Diff ] File ]
mod - src/Units/Units_Unit.cxx Diff ] File ]
mod - src/Units/Units_Unit.hxx Diff ] File ]
mod - src/Units/Units_UnitsDictionary.cxx Diff ] File ]
mod - src/Units/Units_UnitsDictionary.hxx Diff ] File ]
mod - src/Units/Units_UnitsSystem.cxx Diff ] File ]
mod - src/Units/Units_UnitsSystem.hxx Diff ] File ]
mod - src/V3d/V3d_Light.cxx Diff ] File ]
mod - src/V3d/V3d_Light.hxx Diff ] File ]
mod - src/V3d/V3d_Plane.cxx Diff ] File ]
mod - src/V3d/V3d_Plane.hxx Diff ] File ]
mod - src/V3d/V3d_View.cxx Diff ] File ]
mod - src/V3d/V3d_View.hxx Diff ] File ]
mod - src/ViewerTest/ViewerTest.hxx Diff ] File ]
mod - src/ViewerTest/ViewerTest_EventManager.cxx Diff ] File ]
mod - src/ViewerTest/ViewerTest_EventManager.hxx Diff ] File ]
mod - src/Vrml/Vrml_AsciiText.cxx Diff ] File ]
mod - src/Vrml/Vrml_AsciiText.hxx Diff ] File ]
mod - src/Vrml/Vrml_Coordinate3.cxx Diff ] File ]
mod - src/Vrml/Vrml_Coordinate3.hxx Diff ] File ]
mod - src/Vrml/Vrml_IndexedFaceSet.cxx Diff ] File ]
mod - src/Vrml/Vrml_IndexedFaceSet.hxx Diff ] File ]
mod - src/Vrml/Vrml_IndexedLineSet.cxx Diff ] File ]
mod - src/Vrml/Vrml_IndexedLineSet.hxx Diff ] File ]
mod - src/Vrml/Vrml_LOD.cxx Diff ] File ]
mod - src/Vrml/Vrml_LOD.hxx Diff ] File ]
mod - src/Vrml/Vrml_Material.cxx Diff ] File ]
mod - src/Vrml/Vrml_Material.hxx Diff ] File ]
mod - src/Vrml/Vrml_Normal.cxx Diff ] File ]
mod - src/Vrml/Vrml_Normal.hxx Diff ] File ]
mod - src/Vrml/Vrml_SFImage.cxx Diff ] File ]
mod - src/Vrml/Vrml_SFImage.hxx Diff ] File ]
mod - src/Vrml/Vrml_TextureCoordinate2.cxx Diff ] File ]
mod - src/Vrml/Vrml_TextureCoordinate2.hxx Diff ] File ]
mod - src/VrmlConverter/VrmlConverter_Drawer.cxx Diff ] File ]
mod - src/VrmlConverter/VrmlConverter_Drawer.hxx Diff ] File ]
mod - src/VrmlConverter/VrmlConverter_LineAspect.cxx Diff ] File ]
mod - src/VrmlConverter/VrmlConverter_LineAspect.hxx Diff ] File ]
mod - src/VrmlConverter/VrmlConverter_PointAspect.cxx Diff ] File ]
mod - src/VrmlConverter/VrmlConverter_PointAspect.hxx Diff ] File ]
mod - src/VrmlConverter/VrmlConverter_Projector.cxx Diff ] File ]
mod - src/VrmlConverter/VrmlConverter_Projector.hxx Diff ] File ]
mod - src/VrmlConverter/VrmlConverter_ShadingAspect.cxx Diff ] File ]
mod - src/VrmlConverter/VrmlConverter_ShadingAspect.hxx Diff ] File ]
mod - src/XmlMDF/XmlMDF_ADriver.cxx Diff ] File ]
mod - src/XmlMDF/XmlMDF_ADriver.hxx Diff ] File ]
mod - src/XmlMDF/XmlMDF_ADriverTable.cxx Diff ] File ]
mod - src/XmlMDF/XmlMDF_ADriverTable.hxx Diff ] File ]
mod - src/XSAlgo/XSAlgo_AlgoContainer.cxx Diff ] File ]
mod - src/XSAlgo/XSAlgo_AlgoContainer.hxx Diff ] File ]
mod - src/XSAlgo/XSAlgo_ToolContainer.cxx Diff ] File ]
mod - src/XSAlgo/XSAlgo_ToolContainer.hxx Diff ] File ]
mod - src/XSControl/XSControl_Controller.cxx Diff ] File ]
mod - src/XSControl/XSControl_Controller.hxx Diff ] File ]
mod - src/XSControl/XSControl_TransferReader.cxx Diff ] File ]
mod - src/XSControl/XSControl_TransferReader.hxx Diff ] File ]
mod - src/XSControl/XSControl_TransferWriter.cxx Diff ] File ]
mod - src/XSControl/XSControl_TransferWriter.hxx Diff ] File ]
mod - src/XSControl/XSControl_Vars.cxx Diff ] File ]
mod - src/XSControl/XSControl_Vars.hxx Diff ] File ]

- Issue History
Date Modified Username Field Change
2017-06-09 05:54 Vico Liang New Issue
2017-06-09 05:54 Vico Liang Assigned To => kgv
2017-06-09 08:34 kgv Relationship added duplicate of 0025572
2017-06-09 08:35 kgv Note Added: 0067239
2017-06-09 08:35 kgv Assigned To kgv => bugmaster
2017-06-09 08:35 kgv Status new => feedback
2017-06-09 08:35 kgv Resolution open => duplicate
2017-06-09 10:51 abv Assigned To bugmaster => abv
2017-06-09 10:51 abv Status feedback => assigned
2017-07-06 10:41 git Note Added: 0068027
2017-07-06 14:42 kgv Note Added: 0068043
2017-07-07 13:36 kgv Note Added: 0068075
2017-07-07 13:36 kgv Assigned To abv => bugmaster
2017-07-07 13:36 kgv Status assigned => resolved
2017-07-07 13:36 kgv Status resolved => reviewed
2017-07-07 13:36 kgv Resolution duplicate => open
2017-07-07 13:36 kgv Severity minor => integration request
2017-07-07 14:14 apv Assigned To bugmaster => apv
2017-07-07 14:19 apv Test case number => Not required
2017-07-07 14:22 apv Note Added: 0068082
2017-07-07 14:22 apv Assigned To apv => bugmaster
2017-07-07 14:22 apv Status reviewed => tested
2017-07-07 14:23 apv Note Added: 0068083
2017-07-07 17:25 bugmaster Changeset attached => occt master 25e59720
2017-07-07 17:25 bugmaster Status tested => verified
2017-07-07 17:25 bugmaster Resolution open => fixed
2017-07-10 08:58 git Note Added: 0068125
2017-09-29 16:18 user533 Fixed in Version => 7.2.0
2017-09-29 16:28 user533 Status verified => closed


Copyright © 2000 - 2018 MantisBT Team
Powered by Mantis Bugtracker